Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::CurveGFp_Repr Class Referenceabstract

`#include <curve_gfp.h>`

## Public Member Functions
virtual void | curve_mul (BigInt &z, const BigInt &x, const BigInt &y, secure_vector< word > &ws) const =0
virtual void | curve_sqr (BigInt &z, const BigInt &x, secure_vector< word > &ws) const =0
virtual void | from_curve_rep (BigInt &x, secure_vector< word > &ws) const =0
virtual const BigInt & | get_a () const =0
virtual const BigInt & | get_a_rep () const =0
virtual const BigInt & | get_b () const =0
virtual const BigInt & | get_b_rep () const =0
virtual const BigInt & | get_p () const =0
virtual size_t | get_p_words () const =0
virtual void | to_curve_rep (BigInt &x, secure_vector< word > &ws) const =0
virtual | ~CurveGFp_Repr ()=default

## Detailed Description

Definition at line 18 of file curve_gfp.h.

## Constructor & Destructor Documentation

virtual Botan::CurveGFp_Repr::~CurveGFp_Repr | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void Botan::CurveGFp_Repr::curve_mul | ( | BigInt & | z,
|  | const BigInt & | x,
|  | const BigInt & | y,
|  | secure_vector< word > & | ws
| ) |  | const
| pure virtual

virtual void Botan::CurveGFp_Repr::curve_sqr | ( | BigInt & | z,
|  | const BigInt & | x,
|  | secure_vector< word > & | ws
| ) |  | const
| pure virtual

virtual void Botan::CurveGFp_Repr::from_curve_rep | ( | BigInt & | x,
|  | secure_vector< word > & | ws
| ) |  | const
| pure virtual

virtual const BigInt& Botan::CurveGFp_Repr::get_a | ( |  | ) | const
| pure virtual

virtual const BigInt& Botan::CurveGFp_Repr::get_a_rep | ( |  | ) | const
| pure virtual

virtual const BigInt& Botan::CurveGFp_Repr::get_b | ( |  | ) | const
| pure virtual

virtual const BigInt& Botan::CurveGFp_Repr::get_b_rep | ( |  | ) | const
| pure virtual

virtual const BigInt& Botan::CurveGFp_Repr::get_p | ( |  | ) | const
| pure virtual

virtual size_t Botan::CurveGFp_Repr::get_p_words | ( |  | ) | const
| pure virtual

virtual void Botan::CurveGFp_Repr::to_curve_rep | ( | BigInt & | x,
|  | secure_vector< word > & | ws
| ) |  | const
| pure virtual

The documentation for this class was generated from the following file:

- src/lib/math/ec_gfp/curve_gfp.h